/**
 * Copyright 2011-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.maven.deploymentplan;

/**
 * A {@code Deployment} is ...
 *
 * @author Guillaume Sauthier
 */
public class Enrichment {

    /**
     * The artifact GAV in condensed form (groupId:artifactId:type[:classifier])
     * Examples:
     * * org.ow2.util:my-artifact:bundle
     * * org.ow2.util:my-artifact:bundle:ipojo
     */
    private String artifact;

    /**
     * Optional condition to be satisfied for this deployment unit to be deployed.
     */
    private String condition;

    /**
     * Optional mapped name that will replace the original artifact's name for 'flat-directory' goal.
     */
    private String mappedName;

    public String getArtifact() {
        return artifact;
    }

    public String getCondition() {
        return condition;
    }

    public String getMappedName() {
        return mappedName;
    }
}
