/**
 * Copyright 2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package org.ow2.util.maven.deploymentplan.filter;

import java.util.Collections;
import java.util.List;

import org.sonatype.aether.graph.DependencyFilter;
import org.sonatype.aether.graph.DependencyNode;

/**
 * A {@code PlanParentDependencyFilter} is ...
 *
 * @author Guillaume Sauthier
 */
public class PlanParentDependencyFilter implements DependencyFilter {

    private DependencyFilter delegate = new PlanDependencyFilter();

    public boolean accept(DependencyNode node, List<DependencyNode> parents) {
        DependencyNode parent = parents.iterator().next();
        return (parent != null)
                && delegate.accept(parent, Collections.<DependencyNode>emptyList());

    }
}
