/**
 * Copyright 2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package org.ow2.util.maven.deploymentplan.util;

import org.sonatype.aether.artifact.Artifact;
import org.sonatype.aether.graph.DependencyNode;
import org.sonatype.aether.util.artifact.ArtifactProperties;

/**
 * A {@code Artifacts} is ...
 *
 * @author Guillaume Sauthier
 */
public class Artifacts {

    public static String getArtifactType(DependencyNode node) {
        String type = null;
        if (node.getDependency() != null) {
            type =  node.getDependency().getArtifact().getProperty(ArtifactProperties.TYPE, "jar");
        }
        return type;
    }

    public static String getDependencyConflictId(Artifact artifact) {
        StringBuilder sb = new StringBuilder();
        sb.append(artifact.getGroupId());
        sb.append(":");
        sb.append(artifact.getArtifactId());
        sb.append(":");
        sb.append(artifact.getProperty(ArtifactProperties.TYPE, "jar"));
        if (artifact.getClassifier() != null) {
            sb.append(":");
            sb.append(artifact.getClassifier());
        }
        return sb.toString();
    }
}
